
% ----------------------------------------
%  This M-file allows to compute the 
%  interpolant, either using non-tensor
%  product or tensor-product interpolation
% -----------------------------------------
%  Authors: 
%      Stefano De Marchi
%      Department of Computer Science
%      University of Verona
%   
%      Marco Vianello
%      Department of Pure and Applied Math.
%      University of Padova
%      
% Version: May 2008
% -----------------------------------------
clear all
close all
nmin=2;
nmax=34;

% The parameter sigma are used in order to make graphs comparable in the
% number of points.
sigma=0; % use this value when the interpolation errors are plotted
         % versus the coefficients C_\alfa
         
%sigma=4; % use this value when the interpolation errors are plotted
         % versus the function evaluations
for n=nmin:nmax+sigma,
    [err_TI(n-1),errest_TI(n-1),LV_TI(n-1),LCalfa_TI(n-1),Lcputime_TI(n-1),fname]=CX_Tens_Interpolation(n);
end

nmax1=floor(6^(1/3)*nmax);
for n=nmin:nmax1+1,
    [err_I(n-1), errest_I(n-1),LV_I(n-1), LCalfa_I(n-1), Lcputime_I(n-1),fname]=CX_Interpolation(n);
end

%---------------------
% Plots
%---------------------
% Comments as you like 
%-----------------------
semilogy(LCalfa_TI,err_TI,'b.-', LCalfa_I,err_I, 'ro-'); 
%semilogy(LV_TI,err_TI,'b.-', LV_I,err_I, 'ro-'); 

legend('Tens. Prod. Hyperinterp. ', 'Tot. Deg. Hyperinterp.')
%xlabel('Number of function evaluations');
xlabel('Number of hyperinterpolation coefficients C_\alpha');
titstr=['Hyperinterpolation rel. errors for ',fname];
title(titstr)
