% ----------------------------------------
% Plotting 3d points in the cube 
% as union of two grids 
% -----------------------------------------
%  Authors: 
%      Stefano De Marchi
%      Department of Computer Science
%      University of Verona
%   
%      Marco Vianello
%      Department of Pure and Applied Math.
%      University of Padova
%      
% Version: May 2008
% -----------------------------------------
clear all
close all

%degree
n= input('Give me the degree = '); 
fam=input('Which family = ');

% Chebsyhev-Lobatto points in [-1,1] 
zn = -cos([0:n]*pi/n);
% array EVEN e ODD
E=zn(1:2:length(zn));
O=zn(2:2:length(zn));
%----------------------------------------
% generation of the sub-grids 
%
% We have 4 possible choices
% 1) EEE OOO
% 2) EOO OEE
% 3) OEE EOO
% 4) EOE OEO
%----------------------------------------
switch(fam)
    case 1
[X1,Y1,Z1]=meshgrid(E,E,E);
[X2,Y2,Z2]=meshgrid(O,O,O);
    case 2
[X1,Y1,Z1]=meshgrid(E,E,O);
[X2,Y2,Z2]=meshgrid(O,O,E);

    case 3
[X1,Y1,Z1]=meshgrid(E,O,O);
[X2,Y2,Z2]=meshgrid(O,E,E);
    case 4
[X1,Y1,Z1]=meshgrid(O,O,O);
[X2,Y2,Z2]=meshgrid(E,E,E);
end

grid on
% plot of the points
m=length(X1);
for k1=1:m
    for k2=1:m
        for k3=1:m
         plot3(X1(k1,k2,k3),Y1(k1,k2,k3),Z1(k1,k2,k3),'bd','MarkerSize',10,'LineWidth',3,...
             'MarkerFaceColor',[.3 1 .63]); 
     hold on
    end
    end
end
m=length(X2);
    for k1=1:m
    for k2=1:m
        for k3=1:m  
          plot3(X2(k1,k2,k3),Y2(k1,k2,k3),Z2(k1,k2,k3),'ro','MarkerSize',10,'LineWidth',3,...
              'MarkerFaceColor',[.49 1 .63]); grid;
        end
    end
    end
hold off



  
